require 'Regiandruby/BaseClassRegi'
class RegiAssignPackage < BaseClassRegi

	public

	def doExecute (workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		@assignmentType = 'package'

		if !self.IsSubPackagesConsidered().nil?
			@assignmentType = 'packages'
		end

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				if !self.getPackageName().nil?
					executeRegiCommandLine (['assign',@assignmentType,self.getPackageName(),self.getDeliveryUnit()])
				end

				if !self.getPackageNames().nil? && self.getPackageNames().length>0
					count = 0
					@mPackageNames = self.getPackageNames()

					while count<@mPackageNames.length do
						executeRegiCommandLine(['assign',@assignmentType,@mPackageNames[count],self.getDeliveryUnit()])
						count = count + 1
					end
				end
			end
		end
		return true
	end
end