require 'Regiandruby/BaseClassRegi'
class RegiDeleteDeliveryUnit < BaseClassRegi

	public

	def doExecute (workspaceName)

		self.ensureNotNull('hdbUserstoreKey',self.gethdbUserstoreKey())
		op = self.ensureNotNull('deliveryUnit',self.getDeliveryUnit())

		if op!='Value not specified for deliveryUnit'
			deliveryUnit = self.getDeliveryUnit().upcase
		else
			return false
		end

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				deliveryUnitstr = self.executeRegiCommandLineWithOutput(['list','deliveryUnits'])

				if deliveryUnitstr!=''
					deliveryUnits = deliveryUnitstr.split(/\r?\n\t/)
				else
					return false
				end

				if deliveryUnits.include?(deliveryUnit)
					if self.executeRegiCommandLine(['delete','deliveryUnit',deliveryUnit,'--vendor=' + self.getDeliveryUnitVendor()])!=true
						return false
					end
				else
					return false
				end
			end
		end

		return true
	end
end