require 'Regiandruby/BaseClassRegi'
class RegiGeneric < BaseClassRegi

	@regiAction = nil
	@verbose = nil
	@regiArgs = nil

	public

	def setRegiAction (argument)
		@regiAction = argument
	end

	def setVerbose
		@verbose = true
	end

	def setRegiArgs (arguments)
		@regiArgs = arguments
	end

	def doExecute (workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())
		@regiAction = self.ensureNotNullOrEmpty("regiAction",@regiAction)

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		args = [@regiAction]

		if !@verbose.nil?
			args.push('--verbose')
		end

		if !@regiArgs.nil? && @regiArgs.length>0
			count = 0
			while count<@regiArgs.length do
				args.push(@regiArgs[count])
				count = count + 1
			end
		end

		return self.executeRegiCommandLineWithOutput(args)
	end
end