require 'Regiandruby/BaseClassRegi'
class RegiCheckoutPackages < BaseClassRegi

	public

	def doExecute (workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())
		self.ensureNotNull("packageName",self.getPackageName())

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				@output = executeRegiCommandLine(['checkout','packages','--force',self.getPackageName()])

				if @output
					return true
				else
					return false
				end
			end
		else
			return false
		end
	end
end