require 'Regiandruby/BaseClassRegi'
class RegiDeletePackage < BaseClassRegi

	public

	def doExecute (workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				packageName = self.getPackageName()

				if !packageName.nil?
					executeSub(packageName)
				end

				mPackageNames = self.getPackageNames()

				if !mPackageNames.nil? && mPackageNames.length>0
					count = 0
					while count<mPackageNames.length do
						subPackageName = mPackageNames[count]
						executeSub(subPackageName)
						count = count + 1
					end
				end
			end
		end
		return true
	end

	def executeSub(packageName)

		self.executeRegiCommandLine(['delete','packages',packageName,'--key=' + self.gethdbUserstoreKey(),'--force'])

		if self.executeRegiCommandLine(['untrack',packageName,'--key=' + self.gethdbUserstoreKey(),'--force'])!=true
			return false
		end

		return true
	end
end