require 'Regiandruby/BaseClassRegi'
class RegiInitWorkspace < BaseClassRegi

	public

	def doExecute (workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				initWorkspaceCommand = ['track',self.getPackageName()]

				self.executeRegiCommandLine(initWorkspaceCommand)
				self.checkout()

				initWorkspaceCommand = ['untrack',self.getPackageName()]

				self.executeRegiCommandLine(initWorkspaceCommand)
			end
		end
	end
end