require 'Regiandruby/BaseClassRegi'
class RegiUnassignPackage < BaseClassRegi

	public

	def doExecute(workspaceName)

		self.ensureNotNull("hdbUserstoreKey",self.gethdbUserstoreKey())

		self.initCommandLine()
		self.setKeystoreIfPresent()
		self.ensureWorkspaceIsSelected(workspaceName)

		if Dir.exists?(workspaceName)
			Dir.chdir(workspaceName) do
				packageName = self.getPackageName()

				if !packageName.nil?
					executeSub(packageName)
				end

				mPackageNames = self.getPackageNames()

				if !mPackageNames.nil? && mPackageNames.length>0
					count = 0

					while count<mPackageNames.length do
						subPackageName = mPackageNames[count]
						executeSub(subPackageName)
						count = count + 1
					end
				end
			end
		end
		return true
	end

	def executeSub (packageName)

		assignmentType = 'package'

		if !self.IsSubPackagesConsidered().nil?
			assignmentType = 'packages'
		end

		self.executeRegiCommandLine(['unassign',assignmentType,packageName,self.getDeliveryUnit(),'--key=' + self.gethdbUserstoreKey(),'--force'])
	end
end